Package: grails.persistence

## [Java] Annotation Type Entity

- grails.persistence.Entity

-     @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
      @java.lang.annotation.Target({ElementType.TYPE})
      @org.codehaus.groovy.transform.GroovyASTTransformationClass("org.grails.compiler.injection.EntityASTTransformation")
      public @interface Entity

  A class annotation used to make a class into a GORM domain class.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`